# 虚拟机相关操作

### 一、OS操作系统

1. #### 适用于个人电脑

   - Windows适用于个人电脑（PC机）的系统：Windows7/8/10/11
   - Windows10常见版本:家庭版/专业版/企业版/教育版

2. #### 适用于服务器

   - Windows Server：商业，图形界面、容易上手，闭源
   - Windows适用于服务器电脑的系统：Windows server 2008/2012/2016/2019

### 二、什么是虚拟化

> 通过软件技术来模拟更多的设备资源

1. #### 虚拟机

   - 运行在计算机上的一款软件程序，模拟计算机硬件功能，为用户提供一个独立的计算机环境。

2. #### 虚拟化的实现条件

   - 支持虚拟化的CPU处理器（开启CPU虚拟化功能）
   - 内存足够支撑运行多个虚拟机
   - 虚拟化平台软件（例如VMware Workstation Pro）

3. #### 常见的虚拟机产品

   ![image-20240806195807207](https://picgo-noriu.oss-cn-beijing.aliyuncs.com/Images/image-20240806195807207.png)

### 三、安装Win10虚拟机

1. 创建虚拟机安装目录

2. 创建裸机

   > 文件 → 新建虚拟机 → 典型 → 下一步 → 稍后安装操作系统 → 下一步 → 客户机操作系统 → 选择Windows 10 X64 → 下一步 → 
   >
   > 虚拟机名输入win10-1-位置选择（x:\虚拟机\Win10-1） → 下一步 → 磁盘大小输入500G → 将虚拟磁盘存储为单个文件 → 下一步 → 下一步 → 完成

3. 镜像光盘放光驱

   > 双击CD/DVD-使用ISO映像文件-浏览-选择X:\NTD2024_tools\A模块软件素材\ISO镜像

4. 点击启动按钮进入安装向导

5. 配置安装过程

### 四、安装好系统的虚拟机，应该做哪些操作？

1. 安装虚拟工具（VMware Tools）

   > - 什么是硬件驱动？
   >
   > 能够让计算机的硬件充分发挥硬件性能，使硬件能够正常工作，我们把这样的程序称为硬件驱动。

2. 安装压缩解压程序

3. 调用桌面常用图标

4. 激活win10系统

5. 更改计算机名

6. 创建虚拟机快照

### 五、部署Windows Server 2019

> 与第三步安装win10虚拟机没有区别

> win10与win server 2019相互ping通需要关闭双方的windows防火墙
