# Windows PE

### 一、Windows PE工具盘

1. **制作WinPE镜像光盘**

   > 双击WePE64_V2.2 → 是 → 点击右下角光盘图标 → 选择ISO的输出位置(X:\WinPE) → 立即生成ISO

2. **通过光盘启动WinPE系统**

   > 双击CD/DVD → 浏览- X:\WinPE \ WePE64_V2.2.iso
   > 启动虚拟机 → 右手快速点击鼠标左键到虚拟机内 → 左手连续按ESC进入BootManager → 上下方向键选择CDROM Drive → 回车

3. **Windows帐户密码破解**

   - 原理：修改帐户密码文件（C:\Windows\System32\config\SAM）

     > 进入WinPE桌面环境
     > 桌面双击windows密码修改 → 打开 → 选择administrator → 修改密码
     > 输入新密码 → 保存修改 → 重启系统通过新密码登录
     >
     > > 注：系统密码破解工具NTPWEdit

4. **磁盘管理**

   1. 磁盘管理工具：DiskGenius、分区助手

   2. 操作

      > 桌面双击DiskGenius 
      >
      > 将未分配的400G分区划分为两个200G分区并格式化
      >
      > 将中间200G分区前后各调整出50G
      >
      > 再将第一个分区向后调整扩展50G，总计150G
      >
      > 再将第三个分区向前调整扩展50，总计250G

5. **系统备份与还原**

   > 正常启动系统将C盘分区修改卷标为c
   > 将250G的分区修改卷标为“备份”

   1. 系统备份

      > CGI备份还原 → 选择备份分区（卷标为c的分区） → 选择保路径（选择卷标为“备份”的分区，文件后缀改为.wim格式） → 保存 → 执行 → 确定

   2. 系统还原

      > 正常启动系统桌面创建若干快捷图标
      > CGI备份还原-选择还原分区（有卷标c的分区） → 选择镜像文件（.WIM的文件） → 根据提示选择System C: → 确定 → 执行 → 确定

6. **制作U启动盘**

   > 将U盘数据备份到物理机
   > Ventoy(可启动U盘的开源工具)
   > 解压ventoy-1.0.81-windows
   > 双击Ventoy2Disk → 是 → 安装 → 是 → 确定
   > 复制Windows_10_enterprise_ltsc_2019_x64_dvd_9c09ff24.iso到U盘的根目录

7. **通过U启安装win10系统**

   1. 创建虚拟机安装目录（X:\虚拟机\Win10-U）

   2. 创建裸机

      > 文件 → 新建虚拟机 → 典型 → 下一步 → 稍后安装操作系统 → 下一步 → 客户机操作系统 → 选择Windows10X64 → 下一步 → 
      >
      >  → 虚拟机名输入win10-U → 位置选择（X:\虚拟机\Win10-U） → 下一步 → 磁盘大小输入500G → 将虚拟磁盘存储为单个文件 → 下一步 → 完成

   3. 配置通过U盘启动虚拟机

      > 打开虚拟机，右手点击鼠标左键到虚拟机内，左手连续的按ESC → 出现BootManager → 重新将U盘连接到物理机 → 弹出的提示选择连接到虚拟机（或虚拟机菜单-可移动设备……）
      > 重启虚拟机，右手点击鼠标左键到虚拟机内，左手连续的按ESC → 出现BootManager
      > 上下方向键选择EFI USB Device → 回车

8. **物理机与虚拟机U启装机不同**

   1. 虚拟机需要将U盘连接到虚拟机（参考上面实验的过程），物理机U盘直接插USB接口
   2. 物理机开机后根据提示一般按F12调用启动引导菜单，直接选择通过U盘启动

### 二、WinPE磁盘管理工具

>  Windows PE（预安装环境）系统是一种轻量级的操作系统，通常用于安装、维护或恢复Windows。在Windows PE环境中，磁盘管理工具（DiskPart 或 Disk Management）的主要功能包括：

1. **磁盘分区**：
   - 创建新的分区。
   - 删除现有分区。
   - 格式化分区。
   - 调整分区大小。
2. **磁盘标识**：
   - 为磁盘分配或更改驱动器号。
   - 为磁盘设置活动标记，使其成为启动磁盘。
3. **磁盘清理**：
   - 清除磁盘上的所有数据，通常在重新安装操作系统前进行。
4. **磁盘检查**：
   - 检查磁盘的文件系统错误。
   - 检测和修复坏扇区。
5. **磁盘转换**：
   - 将基本磁盘转换为动态磁盘，或者相反。
   - 转换磁盘分区格式，例如从MBR转换为GPT。
6. **卷管理**：
   - 创建或删除卷。
   - 扩展或收缩卷。
   - 管理卷属性，如压缩、加密等。
7. **磁盘复制**：
   - 在磁盘之间复制数据，通常用于备份或克隆磁盘。
8. **查看磁盘信息**：
   - 查看磁盘的属性，包括总容量、可用空间、分区类型等。
   - 查看磁盘分区布局。
9. **跨区卷和带区卷管理**：
   - 创建跨区卷和带区卷，这些是使用多个磁盘来提高性能或容量的卷。
