# OSI模型

### 1、物理层

1. **传输介质分类**

   - 无线介质：无线电……
   - 有线介质：网线（双绞线）、光纤

2. **双绞线分类**

   1. 功能分类：非屏蔽（UTP） 、屏蔽（STP）

   2. 性能分类

      > 五类cat5: 适用于100 Mbps
      >
      > 超五类cat5e: 适用于1 Gbps
      >
      > 六类cat6：适用于1 Gbps
      >
      > 七类cat7:适用于10 Gbps(带有屏蔽功能)
      >
      > > 注：双绞线传输距离控制在100米范围内 

   3. 网线线序

      - T568A：白绿 绿 白橙 蓝 白蓝 橙 白棕 棕 
      - T568B：白橙 橙 白绿 蓝 白蓝 绿 白棕 棕

      > 直连线： 一根网线的两端都是568A或两端都是568B的线序早期连接不同设备（ PC—交换机） 
      >
      > 交叉线：一根网线一端是568A，一端是568B 早期 连接相同设备 
      >
      > 全反线：一根网线两端线序完全相反（不用于局域网组建，用于连接交换或路由console口另端连接主机usb口进行本地访问控制）

      > 主机直接连接路由器使用交叉线
      >
      > 交换机与交换机相连使用交叉或直连，一般使用交叉

   4. 光纤分类

      - 单模光纤：窄芯、长距离传输
      - 多模光纤：宽芯、短距离传输

   5. 项目实施常用工具

      - 网线钳
      - 测试线/寻线仪
      - 光纤测试仪
      - 光纤切割刀
      - 熔纤机

      > 红光笔：光纤故障检测功能,其中包含检测光纤连通性及光纤断裂、弯曲等故障点定位。

   6. 网线制作

      1. 去线皮
      2. 排线（从左到右）
      3. 剪齐
      4. 装水晶接头（金手指面向自己，将线装到水晶头的顶端）
      5. 压接